<?php

namespace App\Gateway;

use PDO;
use App\Connexion;

/**
 * A sample gateway, that stores the sample form's result.
 */
class FormResultGateway {
    private Connexion $con;

    public function __construct(Connexion $con) {
        $this->con = $con;
    }


    public function insert(string $username, string $description): void {
        $this->con->exec(
            "INSERT INTO FormEntries VALUES (:name, :description)",
            [
                ":name" => [$username, PDO::PARAM_STR],
                "description" => [$description, PDO::PARAM_STR],
            ]
        );
    }

    /**
     * @return array<string, mixed>
     */
    public function listResults(): array {
        return $this->con->fetch("SELECT * FROM FormEntries", []);
    }
}
